using System.Collections.Generic;

namespace AyaNova.Biz
{
    public static class CustomFieldType
    {
        //v7 custom field types:
        // - Currency
        // - DateAndTime
        // - TimeOnly
        // - DateOnly
        // - Number
        // - Text
        // - Bool 

        public static List<int> ValidCustomFieldTypes
        {
            get
            {
                var ret = new List<int>();
                ret.Add((int)UiFieldDataType.Currency);
                ret.Add((int)UiFieldDataType.Date);
                ret.Add((int)UiFieldDataType.Time);
                ret.Add((int)UiFieldDataType.DateTime);
                ret.Add((int)UiFieldDataType.Text);
                ret.Add((int)UiFieldDataType.Decimal);
                ret.Add((int)UiFieldDataType.Integer);
                ret.Add((int)UiFieldDataType.Bool);
                return ret;
            }
        }

    }
}
